AM261x MCU+ SDK: UPACKED Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
UPACKED Struct Reference

## Data Fields
uByte | bmRequestType
uByte | bRequest
uWord | wValue
uWord | wIndex
uWord | wLength
uByte | bLength
uByte | bDescriptorType
uByte | bDescriptorSubtype
uWord | bcdUSB
uByte | bDeviceClass
uByte | bDeviceSubClass
uByte | bDeviceProtocol
uByte | bMaxPacketSize
uWord | idVendor
uWord | idProduct
uWord | bcdDevice
uByte | iManufacturer
uByte | iProduct
uByte | iSerialNumber
uByte | bNumConfigurations
uWord | wTotalLength
uByte | bNumInterface
uByte | bConfigurationValue
uByte | iConfiguration
uByte | bmAttributes
uByte | bMaxPower
uByte | bInterfaceNumber
uByte | bAlternateSetting
uByte | bNumEndpoints
uByte | bInterfaceClass
uByte | bInterfaceSubClass
uByte | bInterfaceProtocol
uByte | iInterface
uWord | bString [127]
uByte | bDescLength
uByte | bNbrPorts
uWord | wHubCharacteristics
uByte | bPwrOn2PwrGood
uByte | bHubContrCurrent
uByte | DeviceRemovable [32]
uByte | PortPowerCtrlMask [1]
uByte | bMaxPacketSize0
uByte | bReserved
uWord | wStatus
uWord | wHubStatus
uWord | wHubChange
uWord | wPortStatus
uWord | wPortChange

## Field Documentation

## ◆ bmRequestType

uByte UPACKED::bmRequestType

## ◆ bRequest

uByte UPACKED::bRequest

## ◆ wValue

uWord UPACKED::wValue

## ◆ wIndex

uWord UPACKED::wIndex

## ◆ wLength

uWord UPACKED::wLength

## ◆ bLength

uByte UPACKED::bLength

## ◆ bDescriptorType

uByte UPACKED::bDescriptorType

## ◆ bDescriptorSubtype

uByte UPACKED::bDescriptorSubtype

## ◆ bcdUSB

uWord UPACKED::bcdUSB

## ◆ bDeviceClass

uByte UPACKED::bDeviceClass

## ◆ bDeviceSubClass

uByte UPACKED::bDeviceSubClass

## ◆ bDeviceProtocol

uByte UPACKED::bDeviceProtocol

## ◆ bMaxPacketSize

uByte UPACKED::bMaxPacketSize

## ◆ idVendor

uWord UPACKED::idVendor

## ◆ idProduct

uWord UPACKED::idProduct

## ◆ bcdDevice

uWord UPACKED::bcdDevice

## ◆ iManufacturer

uByte UPACKED::iManufacturer

## ◆ iProduct

uByte UPACKED::iProduct

## ◆ iSerialNumber

uByte UPACKED::iSerialNumber

## ◆ bNumConfigurations

uByte UPACKED::bNumConfigurations

## ◆ wTotalLength

uWord UPACKED::wTotalLength

## ◆ bNumInterface

uByte UPACKED::bNumInterface

## ◆ bConfigurationValue

uByte UPACKED::bConfigurationValue

## ◆ iConfiguration

uByte UPACKED::iConfiguration

## ◆ bmAttributes

uByte UPACKED::bmAttributes

## ◆ bMaxPower

uByte UPACKED::bMaxPower

## ◆ bInterfaceNumber

uByte UPACKED::bInterfaceNumber

## ◆ bAlternateSetting

uByte UPACKED::bAlternateSetting

## ◆ bNumEndpoints

uByte UPACKED::bNumEndpoints

## ◆ bInterfaceClass

uByte UPACKED::bInterfaceClass

## ◆ bInterfaceSubClass

uByte UPACKED::bInterfaceSubClass

## ◆ bInterfaceProtocol

uByte UPACKED::bInterfaceProtocol

## ◆ iInterface

uByte UPACKED::iInterface

## ◆ bString

uWord UPACKED::bString[127]

## ◆ bDescLength

uByte UPACKED::bDescLength

## ◆ bNbrPorts

uByte UPACKED::bNbrPorts

## ◆ wHubCharacteristics

uWord UPACKED::wHubCharacteristics

## ◆ bPwrOn2PwrGood

uByte UPACKED::bPwrOn2PwrGood

## ◆ bHubContrCurrent

uByte UPACKED::bHubContrCurrent

## ◆ DeviceRemovable

uByte UPACKED::DeviceRemovable[32]

## ◆ PortPowerCtrlMask

uByte UPACKED::PortPowerCtrlMask[1]

## ◆ bMaxPacketSize0

uByte UPACKED::bMaxPacketSize0

## ◆ bReserved

uByte UPACKED::bReserved

## ◆ wStatus

uWord UPACKED::wStatus

## ◆ wHubStatus

uWord UPACKED::wHubStatus

## ◆ wHubChange

uWord UPACKED::wHubChange

## ◆ wPortStatus

uWord UPACKED::wPortStatus

## ◆ wPortChange

uWord UPACKED::wPortChange